Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 251071 - Review Request: StatelessServer - Server for Stateless Clients
Summary: Review Request: StatelessServer - Server for Stateless Clients
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-06 21:27 UTC by Jeff Law
Modified: 2008-10-10 17:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 17:22:03 UTC


Attachments (Terms of Use)

Description Jeff Law 2007-08-06 21:27:51 UTC
Spec URL: http://people.redhat.com/~law/StatelessServer.spec
SRPM URL: http://people.redhat.com/~law/StatelessServer-0.1-1.src.rpm
Description: Minimal setup and configuration of a server for stateless clients.  The stateless server is responsible for initial imaging, updates and configuration management of stateless clients.

rpmlint issues errors due to non-standard uid/gids as several files need to be owned by the puppet uid/gid.  I'm not sure how to prevent this error from rpmlint (StatelessServer does list the puppet packages as dependencies).

rpmlint also complains about % in the %post section.  One of the puppet configuration files updated by the %post section has a %H and %h in it which trips rpmlint.

Finally, the %post actually builds another RPM and installs it into the www directory on the server via cp, this causes rpmlint to balk with a dangerous command in %post error.

I'm open to any suggestions for how to resolve those errors and/or cleaning up the %post section which (IMHO) has to do far too much tweaking of existing configuration files to set up the stateless server.

Comment 1 David Lutterkort 2007-08-22 01:08:29 UTC
Not a full review, but seeing such a large %post script makes me very
uncomfortable. For starters, what is going to happen when people update to a
newer version of the package (at least for lokkit, you append to its config file
every time) ... restarting services from %post is very bad, since it breaks
installing the package into buildroots (mock)

Please turn the %post script into a file that gets installed by the package and
has to be run manually. (You could of course turn this into a puppet manifest,
but having stateless-server manage itself through puppet seems a little too clever)

Comment 2 Jason Tibbitts 2008-10-03 17:12:03 UTC
It's been well over a year since David's comment with no response, and as far as I know the whole stateless server thing has been abandoned.  Feel free to correct me if I'm wrong, though.

Setting needinfo; I'll close this ticket soon if there's no further activity.

Comment 3 Jason Tibbitts 2008-10-10 17:22:03 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.